From 2a6ff3a5ebe8e1bc12477526bc35ca96bf618acd Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Fri, 2 Dec 2011 23:19:46 +0700
Subject: [PATCH 4/6] common/win32_fullscreen: Added automatic "Detach" from
 libvlc_media_player_t on new "Attach"

---
 common/win32_fullscreen.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/common/win32_fullscreen.cpp b/common/win32_fullscreen.cpp
index 78b5dc3..cdabdad 100644
--- a/common/win32_fullscreen.cpp
+++ b/common/win32_fullscreen.cpp
@@ -853,6 +853,10 @@ void VLCWindowsManager::LibVlcAttach(libvlc_media_player_t* p_md)
     if(!_HolderWnd)
         return;//VLCWindowsManager::CreateWindows was not called
 
+    if(_p_md && _p_md != p_md){
+        LibVlcDetach();
+    }
+
     if(!_p_md){
         _p_md = p_md;
         VlcEvents(true);
-- 
1.7.7.1.msysgit.0

